> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger a Finicity VOE transactions report generation for an end user

> Request a Finicity VOE transactions report generation for an end user. When the report is ready it will be available as an EndUserFile.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_id_or_heron_id}/finicity/request_voe_transactions_report
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/finicity/request_voe_transactions_report:
    post:
      tags:
        - Integrations
      summary: Trigger a Finicity VOE transactions report generation for an end user
      description: >
        Request a Finicity VOE transactions report generation for an end user.
        When the report is ready it will be available as an EndUserFile.
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FinicityRequestVoeTransactionsReportSchema'
        required: true
      responses:
        '202':
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FinicityRequestVoeTransactionsReportSchema:
      properties:
        from_date:
          format: date-time
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````